import { ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DndDropEvent } from 'ngx-drag-drop';
import { Entity } from "shared";
import { UtilityService } from "shared";
import { SearchableItem } from "shared";
import { GridColumn } from '../../../services/grid-column.service';
import * as i0 from "@angular/core";
export declare class GridColumnsEditorComponent implements ControlValueAccessor {
    private utilityService;
    private changeDetectorRef;
    value: GridColumn[];
    entity?: Entity;
    items: SearchableItem[];
    onChange: (_: any) => void;
    onTouched: () => void;
    column: SearchableItem | null;
    constructor(utilityService: UtilityService, changeDetectorRef: ChangeDetectorRef);
    writeValue(value: GridColumn[]): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    onDrop(event: DndDropEvent): void;
    changeResizable(column: GridColumn, event: any): void;
    changeEditable(column: GridColumn, event: any): void;
    addField(event: SearchableItem | null): void;
    removeField(fieldIndex: number): void;
    filterFields(search: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridColumnsEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridColumnsEditorComponent, "xf-grid-columns-editor[entity]", never, { "entity": { "alias": "entity"; "required": false; }; }, {}, never, never, false, never>;
}
