import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PaginationComponent implements OnInit {
    itemsPerPage?: number;
    paginationSize?: number[];
    pageChanged: EventEmitter<paginationEvent>;
    page: number;
    noOfPages: number;
    private _totalItems;
    set totalItems(value: number);
    get totalItems(): number;
    constructor();
    ngOnInit(): void;
    private calculatePaginationSize;
    selectPage(page: string): void;
    private gotoPage;
    formatInput(input: HTMLInputElement): void;
    recordsSizeChanged(): void;
    private fireEvent;
    firstPage(): void;
    previousPage(): void;
    nextPage(): void;
    lastPage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "xf-pagination", never, { "itemsPerPage": { "alias": "itemsPerPage"; "required": false; }; "paginationSize": { "alias": "paginationSize"; "required": false; }; "totalItems": { "alias": "totalItems"; "required": false; }; }, { "pageChanged": "pageChanged"; }, never, never, false, never>;
}
export interface paginationEvent {
    currentPage: number;
    itemsPerPage: number;
    eventType: string;
}
export declare enum paginationEventType {
    pageFirst = "pageFirst",
    pageLast = "pageLast",
    pageNext = "pageNext",
    pagePrevious = "pagePrevious",
    recordsPerPageChange = "recordsPerPageChange",
    directPage = "directPage"
}
