import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, FormBuilder, FormGroup, ValidationErrors, Validator } from '@angular/forms';
import { Icon } from '../icon';
import { IconSearchPipe } from '../pipes/icon-search.pipe';
import { IconService } from '../service/icon.service';
import * as i0 from "@angular/core";
export declare class IconComponent implements OnInit, OnChanges, ControlValueAccessor, Validator {
    private iconService;
    private iconSearch;
    value: string;
    icons: Icon[];
    searchText: string;
    private allIcons;
    private currentIcons;
    onChange: (evt: any) => void;
    onTouched: () => void;
    touched: boolean;
    disabled: boolean;
    fieldGroup: FormGroup;
    constructor(iconService: IconService, formBuilder: FormBuilder, iconSearch: IconSearchPipe);
    writeValue(value: string): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    validate(control: AbstractControl<any, any>): ValidationErrors | null;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    loadNextIcons(loadNext?: boolean): void;
    onScrollingFinished(): void;
    iconSelected(icon: Icon): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "xf-icon", never, { "value": { "alias": "value"; "required": false; }; }, {}, never, never, false, never>;
}
