import { KeyValue } from '@angular/common';
import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalService } from '../../core/services/modal.service';
import { Entity } from '../../core/models/entity';
import { RichtextHTMLField } from '../../form-fields/field-types/richtext-html';
import * as i0 from "@angular/core";
export declare class PendingDecisionComponent implements OnInit {
    decisionInput: Record<string, any>;
    unauthenticated: boolean;
    type: 'inline' | 'modal';
    mode: 'preview' | 'edit';
    submitResponse: EventEmitter<any>;
    private permissionsService;
    private usersService;
    private pendingDecisionService;
    private utilityService;
    private toaster;
    private activeOffCanvas;
    private translocoService;
    private embedService;
    modalService: ModalService;
    formBuilder: FormBuilder;
    playbookExecutePermission: boolean;
    playbookReadPermission: boolean;
    currentUser: any;
    entity: any;
    fields: Record<string, any>;
    inputVariableEntity?: Entity;
    processing: boolean;
    formGroup: FormGroup;
    decisionDescriptionField?: RichtextHTMLField;
    playbookResumed: boolean;
    isEmbed: boolean;
    constructor();
    ngOnInit(): void;
    private checkPermissions;
    private initializeInputParams;
    private prepareVariableData;
    private createDescriptionField;
    submitDecision(option: Record<string, any>): void;
    closePopup(event: MouseEvent): void;
    originalOrder: (a: KeyValue<any, any>, b: KeyValue<any, any>) => number;
    deleteManualInput(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PendingDecisionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PendingDecisionComponent, "xf-pending-decision", never, { "decisionInput": { "alias": "decisionInput"; "required": false; }; "unauthenticated": { "alias": "unauthenticated"; "required": false; }; "type": { "alias": "type"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; }, { "submitResponse": "submitResponse"; }, never, never, true, never>;
}
