import { AfterViewInit, ChangeDetectorRef, ComponentRef, EventEmitter, OnInit } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Subscription } from "rxjs";
import { Wizard, WizardButton, WizardStep } from "../../core/models/wizard";
import { AbstractWizardStepComponent } from './abstract-wizard-step.component';
import { ViewContainerDirective } from '../../utility/directives/view-container.directive';
import * as i0 from "@angular/core";
export declare class WizardComponent implements OnInit, AfterViewInit {
    private changeDetectorRef;
    xfViewContainer: ViewContainerDirective;
    componentRef: ComponentRef<AbstractWizardStepComponent>;
    wizardForm: NgForm;
    subscriptions: Subscription[];
    buttonSubscription?: Subscription;
    loading: boolean;
    enabledSteps: WizardStep[];
    wizard: Wizard;
    onClose: EventEmitter<any>;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private loadStepView;
    buttonClicked(button: WizardButton): void;
    private submit;
    private next;
    private back;
    private close;
    navigateToStep(stepIndex: number): void;
    skipToStep(stepIndex: number): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WizardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WizardComponent, "xf-wizard[wizard]", never, { "wizard": { "alias": "wizard"; "required": false; }; }, { "onClose": "onClose"; }, never, never, false, never>;
}
