export interface ModuleAttribute {
    formType: 'text' | 'password' | 'checkbox' | 'integer' | 'decimal' | 'datetime' | 'phone' | 'email' | 'dynamicList' | 'select' | 'multiselect' | 'file' | 'richtext' | 'html' | 'textarea' | 'object' | 'image' | 'picklist' | 'multiselectPicklist' | 'lookup' | 'oneToMany' | 'manyToMany' | 'label' | 'ipv6' | 'ipv4' | 'domain' | 'url' | 'fileHash' | 'livesync' | 'tags' | 'certificate' | 'date' | 'codeEditor' | 'emailTemplate' | string;
    title: string;
    type: 'string' | 'boolean' | 'integer' | 'number' | 'array' | 'select' | 'object' | 'picklists' | 'tags' | 'codeEditor' | null;
    isFormField: boolean;
    usable: boolean;
    mmd: {
        allowUpdate: boolean;
        allowGridColumn: boolean;
        allowEncryption: boolean;
        allowSearchable: boolean;
        lengthConstraint: boolean;
    };
    playbook: {
        allowUpdate: boolean;
    };
    connector: {
        allowUpdate: boolean;
    };
    field: any;
    dataSource?: any;
    displayTemplate?: string;
    collection?: boolean;
    ownsRelationship?: boolean;
}
export declare const ModuleAttributeMap: {
    [attr: string]: ModuleAttribute;
};
