import { ConnectorConfiguration } from "./connector-configuration";
import { ConnectorOperation } from "./connector-operation";
export declare class Connector {
    id: number;
    name: string;
    version: string;
    label: string;
    category: string | undefined;
    publisher: string | undefined;
    active: boolean;
    cs_compatible: boolean;
    icon_small: string | undefined;
    icon_large: string | undefined;
    iconLarge: string | undefined;
    description: string | undefined;
    help_online: string | undefined;
    help_file: string | undefined;
    vendor_version: string | undefined;
    status: string | number | undefined;
    config_count: number;
    ingestion_supported: boolean;
    cs_approved: boolean;
    rpm_full_name: string | undefined;
    development: boolean;
    installed: boolean;
    created: Date | undefined;
    modified: Date | undefined;
    requirements_installed: string | undefined;
    metadata: any;
    install_result: any;
    tags: any;
    remote_status: any;
    agent: string | undefined;
    tree: any;
    configuration: ConnectorConfiguration[];
    operations: ConnectorOperation[];
    constructor({ name, version, label, id }?: {
        name?: string;
        version?: string;
        label?: string;
        id?: number;
    });
}
