import { RoleService } from '../models/role-service';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { RolePermission } from '../models/role-permission';
import { StorageService } from './storage.service';
import * as i0 from "@angular/core";
export declare class PermissionService {
    http: HttpClient;
    storageService: StorageService;
    getPermission(entity: string): string[];
    getPermissions(entities: string[]): Record<string, string[]>;
    getAllFlatPermissions(): string[];
    isAdmin(): boolean;
    availablePermission(entity: string, permission?: string): boolean;
    availableFieldPermission(entity: string, fieldName: string, permission: string): boolean;
    private loadServices;
    private loadEntities;
    loadServicesAndEntities(): Observable<RoleService[]>;
    loadPermissions(): Observable<RolePermission[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PermissionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PermissionService>;
}
