import { Observable, Subject } from 'rxjs';
import { StorageService } from './storage.service';
import * as i0 from "@angular/core";
export declare const WS_ENDPOINT: string;
export declare const RECONNECT_INTERVAL = 5000;
export declare class WebsocketService {
    private storageService;
    websocketSessionID: string | null;
    private observablesTopics;
    private status$;
    private ws;
    messages$: Subject<unknown>;
    private closeObserverSubscription;
    private openObserverSubscription;
    constructor(storageService: StorageService);
    connect(): void;
    set(websocketSessionID: string): void;
    private create;
    get connectionStatus$(): Observable<boolean>;
    close(): void;
    message(message: any): void;
    websocketSubscribe(topic: string, reconnect?: boolean): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WebsocketService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WebsocketService>;
}
export declare namespace WebsocketService {
    interface Change {
        entityUuid: string[];
        entityType: string;
        operation: 'update' | 'delete' | 'create';
        websocketSessionID: string;
        data: {
            changedata: string[];
            entityUuid: string;
        }[];
    }
}
