import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { Subject, Subscription } from 'rxjs';
import { SearchableDropdownComponent } from '../../../../components/searchable-dropdown/searchable-dropdown.component';
import { SearchableItem } from '../../../../components/searchable-dropdown/searchable-item';
import { Entity } from '../../../../core/models/entity';
import { AbstractFieldComponent } from '../abstract-field.component';
import { InterpolatePipe } from '../../../../utility/pipes/interpolate.pipe';
import * as i0 from "@angular/core";
export declare class LookupFieldComponent extends AbstractFieldComponent {
    private interpolate;
    searchInput: ElementRef;
    dropdown: SearchableDropdownComponent;
    searchText: string;
    loading: boolean;
    searchQueryChange: Subject<string>;
    entity: Entity;
    items: SearchableItem[];
    loadSubscription?: Subscription;
    params: any;
    private entityService;
    private apiService;
    constructor(_changeDetectorRef: ChangeDetectorRef, _formBuilder: FormBuilder, interpolate: InterpolatePipe);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadItems(search: string): void;
    set value(value: any);
    writeValue(value: any): void;
    setDisplayValue(value: any): void;
    selectItem(item: any): void;
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LookupFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LookupFieldComponent, "xf-field-lookup", never, {}, {}, never, never, false, never>;
}
