import { Type } from '@angular/core';
import { Observable } from 'rxjs';
import { ManifestService, PermissionService } from 'shared';
import { AbstractExportFilterComponent } from './export/abstract-export-filter.component';
import { PortingConfig } from './porting-config';
import { AbstractImportFilterComponent } from './import/abstract-import-filter.component';
import { ICellRendererParams } from 'ag-grid-community';
import * as i0 from "@angular/core";
export declare class PortingService {
    private manifestService;
    private permissionService;
    constructor(manifestService: ManifestService, permissionService: PermissionService);
    getStatusColumn(): (params: ICellRendererParams) => string;
    getConfigs(type: 'export' | 'import', localClassMap: Record<string, Type<any>>): Observable<PortingConfig[]>;
    loadRemoteSection(remoteEntry: string, className: string, localClassMap: Record<string, Type<any>>, type: 'AbstractExportFilterComponent'): Observable<Type<AbstractExportFilterComponent>>;
    loadRemoteSection(remoteEntry: string, className: string, localClassMap: Record<string, Type<any>>, type: 'AbstractImportFilterComponent'): Observable<Type<AbstractImportFilterComponent>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PortingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PortingService>;
}
