import { EventEmitter, OnInit, QueryList } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { NgbActiveOffcanvas, NgbOffcanvas, NgbOffcanvasRef } from '@ng-bootstrap/ng-bootstrap';
import { FieldOptions, FormFieldComponent, LicenseService, Schedule, ScheduleService, SystemSettings, SystemSettingsService } from 'shared';
import { SchedulePurge } from '../manage-purge-model';
import { TranslocoService } from '@jsverse/transloco';
import * as i0 from "@angular/core";
export declare class PurgeScheduleComponent implements OnInit {
    private formBuilder;
    translocoService: TranslocoService;
    activeOffCanvas: NgbActiveOffcanvas;
    private offcanvasServicePurge;
    private scheduleService;
    private licenseService;
    private systemSettingsService;
    formGroup: FormGroup;
    fields: any;
    keepLogsFieldOption: FieldOptions;
    fieldOptions: FieldOptions;
    settings: any;
    scheduleMode: string;
    loading: boolean;
    offcanvasInstancePurge?: NgbOffcanvasRef;
    schedule: Schedule;
    params: SchedulePurge;
    scheduleClosed: EventEmitter<any>;
    formFields: QueryList<FormFieldComponent>;
    showScheduleError: boolean;
    keepLogsFieldTooltip: string;
    refData: any;
    entitlementType: string;
    cronDescriber: string;
    systemSettings: SystemSettings;
    licenseDetails: any;
    constructor(formBuilder: FormBuilder, translocoService: TranslocoService, activeOffCanvas: NgbActiveOffcanvas, offcanvasServicePurge: NgbOffcanvas, scheduleService: ScheduleService, licenseService: LicenseService, systemSettingsService: SystemSettingsService);
    ngOnInit(): void;
    private getScheduleData;
    private setForm;
    private setFormValues;
    openSchedule(): void;
    cancel(): void;
    save(): void;
    private focusOnFirstInvalidInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<PurgeScheduleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PurgeScheduleComponent, "xf-purge-schedule", never, { "schedule": { "alias": "schedule"; "required": false; }; "params": { "alias": "params"; "required": true; }; }, { "scheduleClosed": "scheduleClosed"; }, never, never, false, never>;
}
