import { HttpClient } from '@angular/common/http';
import { ChangeDetectorRef, OnInit, QueryList } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { NgbActiveOffcanvas } from '@ng-bootstrap/ng-bootstrap';
import { ToastrService } from 'ngx-toastr';
import { ApiService, Entity, EntityService, FormFieldComponent, PERMISSION, PermissionService, ScheduleService, SystemSettings, SystemSettingsService, TimezoneSelectComponent, TimezoneService, TimezoneUTC } from 'shared';
import * as i0 from "@angular/core";
export declare class ScheduleDetailComponent implements OnInit {
    private formBuilder;
    private scheduleService;
    private apiService;
    activeOffCanvas: NgbActiveOffcanvas;
    private timezoneService;
    private changeDetectorRef;
    private entityService;
    private http;
    private toaster;
    private systemSettingsService;
    private permissionService;
    mode: 'new' | 'edit';
    schedule: any;
    showReference: boolean;
    referenceData: any;
    timezoneSelectComponents: QueryList<TimezoneSelectComponent>;
    formFieldComponents: QueryList<FormFieldComponent>;
    scheduleEntity: Entity;
    formGroup: FormGroup;
    scheduleFormFields: any;
    savingSchedule: boolean;
    referenceList: Array<any>;
    cronDescriber: string;
    timezone: TimezoneUTC | undefined;
    loading: boolean;
    playbookPermissions: string[];
    permission: typeof PERMISSION;
    systemSettings?: SystemSettings;
    showPBRefWarning: boolean;
    exitRunningField: any;
    excludeFormControl: string[];
    constructor(formBuilder: FormBuilder, scheduleService: ScheduleService, apiService: ApiService, activeOffCanvas: NgbActiveOffcanvas, timezoneService: TimezoneService, changeDetectorRef: ChangeDetectorRef, entityService: EntityService, http: HttpClient, toaster: ToastrService, systemSettingsService: SystemSettingsService, permissionService: PermissionService);
    ngOnInit(): void;
    private setFormGroupControls;
    private loadSchedule;
    save(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScheduleDetailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ScheduleDetailComponent, "xf-schedule-detail", never, { "mode": { "alias": "mode"; "required": false; }; "schedule": { "alias": "schedule"; "required": false; }; "showReference": { "alias": "showReference"; "required": false; }; "referenceData": { "alias": "referenceData"; "required": false; }; }, {}, never, never, false, never>;
}
