import { ChangeDetectorRef } from "@angular/core";
import { NgbOffcanvas, NgbOffcanvasRef } from "@ng-bootstrap/ng-bootstrap";
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams } from "ag-grid-community";
import { ToastrService } from "ngx-toastr";
import { ModalService, PERMISSION, PermissionService, ScheduleService } from "shared";
import { TranslocoService } from '@jsverse/transloco';
import * as i0 from "@angular/core";
export declare class ActionsRenderer implements ICellRendererAngularComp {
    private offcanvasService;
    private changeDetectorRef;
    private scheduleService;
    private toaster;
    private permissionService;
    private modalService;
    private translocoService;
    cellValue: any;
    offcanvasInstanceSchedule?: NgbOffcanvasRef;
    showDropdown: boolean;
    param: ICellRendererParams;
    schedulePermissions: string[];
    permission: typeof PERMISSION;
    constructor(offcanvasService: NgbOffcanvas, changeDetectorRef: ChangeDetectorRef, scheduleService: ScheduleService, toaster: ToastrService, permissionService: PermissionService, modalService: ModalService, translocoService: TranslocoService);
    agInit(params: ICellRendererParams): void;
    refresh(params: ICellRendererParams): boolean;
    getValueToDisplay(params: ICellRendererParams): any;
    edit(): void;
    deleteSchedule(): void;
    triggerNow(): void;
    showDropDown(): void;
    startStop(startSchedule: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionsRenderer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActionsRenderer, "ng-component", never, {}, {}, never, never, false, never>;
}
