import { TranslocoService } from '@jsverse/transloco';
import { ToastrService } from 'ngx-toastr';
import { ApiService, Entity, EntityService, LicenseService, ModalService, PERMISSION, PermissionService, Cron } from 'shared';
import { GridConfig, GridDataSource, GridDataSourceService } from 'shared/grid';
import { GridApi } from 'ag-grid-community';
import { NgbOffcanvas, NgbOffcanvasRef } from '@ng-bootstrap/ng-bootstrap';
import * as i0 from "@angular/core";
export declare class ScheduleListComponent {
    private entityService;
    gridDataSourceService: GridDataSourceService;
    private modalService;
    private apiService;
    private translocoService;
    private toasterService;
    private offcanvasService;
    private permissionService;
    private licenseService;
    gridConfig: GridConfig;
    customColumnDefs: any;
    gridApi: GridApi;
    dataSource: GridDataSource;
    scheduleEntity: Entity;
    processing: boolean;
    selectedRows: never[];
    offcanvasInstanceSchedule?: NgbOffcanvasRef;
    schedulePermissions: string[];
    permission: typeof PERMISSION;
    defaultCron: Cron;
    constructor(entityService: EntityService, gridDataSourceService: GridDataSourceService, modalService: ModalService, apiService: ApiService, translocoService: TranslocoService, toasterService: ToastrService, offcanvasService: NgbOffcanvas, permissionService: PermissionService, licenseService: LicenseService);
    ngOnInit(): void;
    createSchedule(): void;
    private setBulkDeleteConfig;
    rowSelectionChanged(event: any): void;
    deleteSelected(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScheduleListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ScheduleListComponent, "xf-schedule-list", never, { "gridConfig": { "alias": "gridConfig"; "required": false; }; "customColumnDefs": { "alias": "customColumnDefs"; "required": false; }; }, {}, never, never, false, never>;
}
