import { AfterViewInit, ChangeDetectorRef, ComponentRef, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { Observable } from 'rxjs';
import { Entity } from "shared";
import { ViewTemplateContext } from '../../models/view-template-context';
import { WidgetConfig } from '../../models/widget-config';
import { EntityService } from "shared";
import { FormFieldComponent } from "shared";
import { TextField } from "shared";
import { AbstractWidgetEditComponent } from '../../widgets/abstract-widget-edit.component';
import { WidgetService } from '../../widgets/widget.service';
import { ViewContainerDirective } from 'shared';
import * as i0 from "@angular/core";
export declare class AddWidgetComponent implements OnInit, AfterViewInit {
    private activeModal;
    private changeDetectorRef;
    private widgetService;
    private entityService;
    context: ViewTemplateContext;
    widgetConfig: WidgetConfig;
    widgetType: string;
    viewContainer: ViewContainerDirective;
    titleFieldComponent: FormFieldComponent;
    componentRef: ComponentRef<AbstractWidgetEditComponent>;
    context$: Observable<ViewTemplateContext>;
    entity: Entity;
    titleField: TextField;
    widgetFormGroup: FormGroup;
    constructor(activeModal: NgbActiveModal, changeDetectorRef: ChangeDetectorRef, widgetService: WidgetService, formBuilder: FormBuilder, entityService: EntityService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadWidget(): void;
    ngOnChanges(): void;
    saveAndClose(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddWidgetComponent, "ng-component", never, { "context": { "alias": "context"; "required": false; }; "widgetConfig": { "alias": "widgetConfig"; "required": false; }; "widgetType": { "alias": "widgetType"; "required": false; }; }, {}, never, never, false, never>;
}
