import { ComponentRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { GridsterConfig } from 'angular-gridster2';
import { ContainerLayoutComponent } from '../container-layout/container-layout.component';
import { TabLayoutComponent } from '../tab-layout/tab-layout.component';
import { TabsLayoutComponent } from '../tabs-layout/tabs-layout.component';
import { WidgetsViewLayoutComponent } from '../widgets-view-layout/widgets-view-layout.component';
import { AbstractLayoutItemComponent } from './abstract-layout-item.component';
import { ViewContainerDirective } from 'shared';
import * as i0 from "@angular/core";
export declare class LayoutItemComponent extends AbstractLayoutItemComponent implements OnInit, OnChanges {
    components: {
        widget: typeof WidgetsViewLayoutComponent;
        container: typeof ContainerLayoutComponent;
        tabs: typeof TabsLayoutComponent;
        tab: typeof TabLayoutComponent;
    };
    viewContainer: ViewContainerDirective;
    componentRef: ComponentRef<AbstractLayoutItemComponent>;
    ngOnInit(): void;
    private findGridItem;
    private createComponent;
    ngOnChanges(changes: SimpleChanges): void;
    getGridsterConfig(mode: string | null): GridsterConfig;
    updateGridsterHeight(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutItemComponent, "xf-layout-item", never, {}, {}, never, never, false, never>;
}
