import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Subject } from 'rxjs';
import { ViewTemplateContext } from '../models/view-template-context';
import { WidgetConfig } from '../models/widget-config';
import * as i0 from "@angular/core";
export declare abstract class AbstractWidgetComponent implements OnChanges, OnInit {
    changeDetectorRef: ChangeDetectorRef;
    widgetConfig: WidgetConfig;
    mode: string | null;
    context?: ViewTemplateContext;
    updateHeight: Subject<any>;
    widgetId: string;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    abstract widgetConfigChanged(widgetConfig: WidgetConfig): void;
    abstract contextChanged(context: ViewTemplateContext): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractWidgetComponent, "xf-abstract-widget", never, { "widgetConfig": { "alias": "widgetConfig"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "context": { "alias": "context"; "required": false; }; "updateHeight": { "alias": "updateHeight"; "required": false; }; "widgetId": { "alias": "widgetId"; "required": false; }; }, {}, never, never, false, never>;
}
