import { ChangeDetectorRef } from '@angular/core';
import { DndDropEvent } from 'ngx-drag-drop';
import { AbstractWidgetEditComponent } from '../../abstract-widget-edit.component';
import { EntityService } from "shared";
import { UtilityService } from "shared";
import { SearchableItem } from "shared";
import { FieldGroupConfig } from '../field-group-config';
import { FieldRenderer } from '../field-renderer';
import * as i0 from "@angular/core";
export declare class FieldGroupEditComponent extends AbstractWidgetEditComponent {
    originalColumn: FieldRenderer[] | null;
    columnCount: number;
    columnInline: boolean;
    widgetConfig: FieldGroupConfig;
    field: SearchableItem | null;
    constructor(entityService: EntityService, changeDetectorRef: ChangeDetectorRef, utilityService: UtilityService);
    ngOnInit(): void;
    onChange(col: FieldRenderer[], colIndex: number): void;
    onDrop(event: DndDropEvent, list?: any[]): void;
    onDragStart(col: FieldRenderer[]): void;
    addField(colIndex: number, item: SearchableItem | null): void;
    removeField(colIndex: number, fieldIndex: number): void;
    filterFields(search: string): void;
    columnCountChanges(columns: number): void;
    columnInlineToggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FieldGroupEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FieldGroupEditComponent, "xf-field-group-edit", never, { "widgetConfig": { "alias": "widgetConfig"; "required": false; }; }, {}, never, never, false, never>;
}
